/* $Id: PasteAsTextAction.java 783 2013-10-22 13:07:54Z ohura $ */
package sml_editor.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import sml_editor.swingui.EditorTextPane;


public class PasteAsTextAction implements ActionListener{
	private EditorTextPane textPane;
	public PasteAsTextAction() {
	}
	public PasteAsTextAction(EditorTextPane textPane){
		this.textPane = textPane;
	}
	public void setEditorTextPane(EditorTextPane textPane){
		this.textPane = textPane;
	}
	public void actionPerformed(ActionEvent arg0) {
		this.textPane.getSGSHTMLEditorTextPane().paste(false);
	}
}